package com.nokia.siteinfo.config;

import org.springframework.context.annotation.Bean;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;

@Component
public class JdbcTemplateConfig {
    @Bean
    public JdbcTemplate inputJdbcTemplate(DataSource inputDataSource) {
        return new JdbcTemplate(inputDataSource);
    }

    @Bean
    public JdbcTemplate outputJdbcTemplate(DataSource outputDataSource) {
        return new JdbcTemplate(outputDataSource);
    }
}
