package com.nokia.siteinfo.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;

@Component
public class DataSourceConfig {
    @Bean
    @ConfigurationProperties(prefix = "spring.datasource.input")
    public DataSource inputDataSource()
    {
        return DataSourceBuilder.create().build();
    }

    @Bean
    @ConfigurationProperties(prefix = "spring.datasource.output")
    public DataSource outputDataSource()
    {
        return DataSourceBuilder.create().build();
    }
}
